*

dsf

  • *
  • 5 posts
Compatibility with Osclass 3.9
« on: March 30, 2021, 06:53:42 PM »
Hello.

Checking with debug, i see several warnings and notices with Osclass 3.9 (no modifications). So i would like to ask if it is compatible.

Also i haven't download and installed the "pack" of plugins suggested by the theme. Shall i?

Thank you

*

MB Themes

Re: Compatibility with Osclass 3.9
« Reply #1 on: March 30, 2021, 08:13:48 PM »
It is compatible, notices may occur due to php version and what is being printed by php in notices
  To get fast support, we need following details: Detail description, URL to reproduce problem, Screenshots

*

dsf

  • *
  • 5 posts
Re: Compatibility with Osclass 3.9
« Reply #2 on: March 30, 2021, 08:54:57 PM »
Ok thanks.

I run PHP 7.3.x. The notices are:

[30-Mar-2021 17:58:46 Europe/London] PHP Warning:  A non-numeric value encountered in /home/oc-includes/osclass/classes/Pagination.php on line 52

[30-Mar-2021 17:58:46 Europe/London] PHP Warning:  A non-numeric value encountered in /home/oc-includes/osclass/classes/Pagination.php on line 53

and the warnings are:

[30-Mar-2021 18:00:04 Europe/London] PHP Notice:  Undefined index: clearCookieSearch in /home/oc-content/themes/tatiana/ajax.php on line 7

[30-Mar-2021 17:59:29 Europe/London] PHP Notice:  Undefined variable: cat_id in /home/oc-content/themes/tatiana/search.php on line 210

Can i ignore them?

*

MB Themes

Re: Compatibility with Osclass 3.9
« Reply #3 on: March 30, 2021, 09:31:21 PM »
Theme shows only notices, rest is from your osclass version.
  To get fast support, we need following details: Detail description, URL to reproduce problem, Screenshots

*

dsf

  • *
  • 5 posts
Re: Compatibility with Osclass 3.9
« Reply #4 on: March 31, 2021, 03:17:02 PM »
Theme shows only notices, rest is from your osclass version.

You are almost right, using this theme with your latest version of Osclass, didn't show those warnings as above (but still showed some different).

Thank you, i will have to make my mind how to move on from here, i mean Osclass 3.9 or your 4.x version etc etc.

*

MB Themes

Re: Compatibility with Osclass 3.9
« Reply #5 on: March 31, 2021, 03:33:45 PM »
In standard way that you upload new osclass files into your installation folder and then in ocadmin click on upgrade button.
  To get fast support, we need following details: Detail description, URL to reproduce problem, Screenshots